Bug 1893652 - libreport fails to build with Python 3.10: configure truncates 3.10 to 3.1
Summary: libreport fails to build with Python 3.10: configure truncates 3.10 to 3.1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: rawhide
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1889732
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-02 10:08 UTC by Tomáš Hrnčiar
Modified: 2021-02-02 16:42 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-02 16:42:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-11-02 10:08:03 UTC
libreport fails to build with Python 3.10.0a1.

checking for python3 version... 3.1
checking for python3 platform... linux
checking for python3 script directory... ${prefix}/lib/python3.10/site-packages
checking for python3 extension module directory... ${exec_prefix}/lib64/python3.10/site-packages
checking for python3.1-config... no
The python3.1-config program was not found in the search path. Please ensure
that it is installed and its directory is included in the search path or
pass --without-python3 to ./configure.
Then run configure again before attempting to build libreport.
error: Bad exit status from /var/tmp/rpm-tmp.ULV0Uw (%build)
    Bad exit status from /var/tmp/rpm-tmp.ULV0Uw (%build)

This seems like a problem with detecting the correct version of Python (3.10 instead of 3.1).

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01728341-libreport/

For all our attempts to build libreport with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/libreport/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2020-11-02 10:43:16 UTC
libreport-2.14.0/aclocal.m4
1322:    [am_cv_python_version=`$PYTHON -c "import sys; sys.stdout.write(sys.version[[:3]])"`])

libreport-2.14.0/configure
16385:  am_cv_python_version=`$PYTHON -c "import sys; sys.stdout.write(sys.version[:3])"`



$ python3.10 -c "import sys; sys.stdout.write(sys.version[:3])"
3.1


Please use (something like) this instead:

$ python3.10 -c "import sys; sys.stdout.write('{}.{}'.format(*sys.version_info[:2]))"
3.10

Comment 2 Matej Grabovsky 2020-11-02 11:14:19 UTC
So this is a bug in automake, right? (aclocal.m4 is generated by /usr/bin/aclocal, which is owned by automake.)

Comment 3 Miro Hrončok 2020-11-02 11:39:22 UTC
I guess this needs to be fixed in automake (see bz1889732) and then the tarball needs to be regenerated in case automake is not run during the build but instead, the package is build from pre-populated aclocal.m4, right?

Comment 4 Miro Hrončok 2020-11-05 14:55:45 UTC
Running autoreconf in %build instead of autoconf seem to get past the problematic point.

Comment 5 Miro Hrončok 2020-11-05 14:59:12 UTC
It builds entirely: https://src.fedoraproject.org/rpms/libreport/pull-request/5


Note You need to log in before you can comment on or make changes to this bug.